> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/currency/info.md).

# 1.2 Currency Info

```
GET /currencies/{currency_id}
```

**Path Parameters**

| Parameter    | Type   | Required | Description |
| ------------ | ------ | -------- | ----------- |
| currency\_id | String | Yes      | Currency ID |

**Response Example**

```json
{
    "currency_id": "1673723677362319867",
    "name": "ethereum",
    "symbol": "ETH",
    "introduction": "Bitcoin (BTC) is a decentralized digital currency...",
    "sector": [
        {
            "id": "1",
            "name": "DeFi"
        }
    ],
    "icon": "https://...",
    "contracts": [
        {
            "chain": "Ethereum",
            "contract": "0x..."
        }
    ],
    "white_paper": "https://ethereum.org/en/whitepaper/",
    "first_issue_time": "1438242398585",
    "explorers": [
        "https://etherscan.io/",
        "https://platform.arkhamintelligence.com/explorer/token/ethereum",
        "https://ethplorer.io/"
    ],
    "community": {
        "twitter": "https://twitter.com/ethereum",
        "reddit": "https://www.reddit.com/r/ethereum"
    },
    "significant_events": [
        {
            "time": "1510070400000",
            "content": "Anatoly Yakovenko published the whitepaper on \"Proof of History (PoH)\"..."
        }
    ]
}
```

**Response Fields**

| Field                          | Type           | Description                     |
| ------------------------------ | -------------- | ------------------------------- |
| currency\_id                   | String         | Currency ID                     |
| name                           | String         | Currency full name              |
| symbol                         | String         | Currency symbol                 |
| introduction                   | String         | Currency description            |
| sector                         | Array\[Object] | Sector list                     |
| sector\[].id                   | String         | Sector ID                       |
| sector\[].name                 | String         | Sector name                     |
| icon                           | String         | Currency icon URL               |
| contracts                      | Array\[Object] | Contract address list           |
| contracts\[].chain             | String         | Chain name                      |
| contracts\[].contract          | String         | Contract address                |
| white\_paper                   | String         | Whitepaper URL                  |
| first\_issue\_time             | String         | First issuance time (timestamp) |
| explorers                      | Array\[String] | Block explorer URLs             |
| community                      | Object         | Community links                 |
| community.twitter              | String         | Twitter URL                     |
| community.reddit               | String         | Reddit URL                      |
| significant\_events            | Array\[Object] | Significant events list         |
| significant\_events\[].time    | String         | Event time (timestamp)          |
| significant\_events\[].content | String         | Event description               |
